=== debian/changelog ===
ubuntu-printing-app (0.1+17.04.20170401-0ubuntu1) zesty; urgency=medium

  * Change qtdeclarative5-ubuntu-ui-toolkit-plugin to qml-module-ubuntu-
    components in depends (and -gles) (LP: #1673808)
  * Add qmlscene to depends
  * Only show Print Queue in Unity8

 -- Andrew Hayzen <ahayzen@gmail.com>  Sat, 01 Apr 2017 17:51:04 +0000

ubuntu-printing-app (0.1+17.04.20170323-0ubuntu1) zesty; urgency=medium

  [ Andrew Hayzen ]
  * Fix typo in copyright
  * Move printing app tests into the ubuntu-printing-app folder
  * Add queue dialog with relevant components
  * Only show sheets count in print button when we are not performing a
    print range for now.
  * Fix notifier system-settings url

  [ Rodney Dawes ]
  * Add notifier daemon.
  * Use intltool module from cmake-extras and update template.

 -- Andrew Hayzen <ahayzen@gmail.com>  Thu, 23 Mar 2017 12:38:48 +0000

ubuntu-printing-app (0.1+17.04.20170317-0ubuntu1) zesty; urgency=medium

  * Replace GPL-3.0+ with GPL-3

 -- Andrew Hayzen <ahayzen@gmail.com>  Fri, 17 Mar 2017 14:07:17 +0000

ubuntu-printing-app (0.1+17.04.20170308-0ubuntu1) zesty; urgency=medium

  * Initial release
  * Empty commit for bileto
  * Set max width of options

 -- Andrew Hayzen <ahayzen@gmail.com>  Wed, 08 Mar 2017 13:03:52 +0000
