=== debian/control ===
Source: ubuntu-printing-app
Section: misc
Priority: optional
Maintainer: Andrew Hayzen <andrew.hayzen@canonical.com>
Build-Depends: cmake (>= 2.8.9),
               cmake-extras (>= 0.10),
               cmake-extras (>= 1.3),
               debhelper (>=9),
               dh-apparmor,
               dh-translations,
               gcovr,
               googletest | google-mock,
               intltool,
               lcov,
               libboost-dev,
               libcups2-dev,
               libglib2.0-dev (>= 2.35.4),
               libnotify-dev,
               libpoppler-qt5-dev,
               libproperties-cpp-dev,
               liburl-dispatcher1-dev,
               qmlscene,
               qml-module-qtquick2,
               qml-module-qtquick-layouts,
               qml-module-qttest,
               qml-module-ubuntu-components (>= 1.3) | qml-module-ubuntu-components-gles (>= 1.3),
               qml-module-ubuntu-test,
               qtdeclarative5-ubuntu-content1,
               qtdeclarative5-ubuntu-ui-extras0.2,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               xvfb
Standards-Version: 3.9.7
Homepage: http://launchpad.net/ubuntu-printing-app
Vcs-Bzr: https://code.launchpad.net/~phablet-team/ubuntu-printing-app/trunk

Package: ubuntu-printing-app
Architecture: any
Depends: qml-module-qtquick2,
         qml-module-qtquick-layouts,
         qmlscene,
         qml-module-ubuntu-components (>= 1.3) | qml-module-ubuntu-components-gles (>= 1.3),
         qtdeclarative5-ubuntu-content1,
         qtdeclarative5-ubuntu-ui-extras0.2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Printing app which consumes a PDF from content-hub
 Printing app which consumes a PDF document from
 content-hub, allows for basic configuration and
 then sends to a CUPS printer.
